function BLIDHasBuildRights(%blid)
{
	for(%i=0;%i<getWordCount($Pref::Server::BuildRightsList);%i++)
	{
		if(getWord($Pref::Server::BuildRightsList,%i) == %blid)
			return 1;
	}
	return 0;
}

function GiveBuildRights(%blid)
{
	if(BLIDHasBuildRights(%blid))
		return 0;

	$Pref::Server::BuildRightsList = ($Pref::Server::BuildRightsList $= "") ? %blid : $Pref::Server::BuildRightsList SPC %blid;
	return 1;
}

function RevokeBuildRights(%blid)
{
	if(!BLIDHasBuildRights(%blid))
		return 0;

	for(%i=0;%i<getWordCount($Pref::Server::BuildRightsList);%i++)
	{
		%listBLID = getWord($Pref::Server::BuildRightsList,%i);
		if(%listBLID != %blid)
			%newList = (%newList $= "") ? %listBLID : %newList SPC %listBLID;
	}
	$Pref::Server::BuildRightsList = %newList;
	return 1;
}

function serverCmdGiveBuildRights(%client,%blid)
{
	if(!%client.isAdmin || !%client.isSuperAdmin)
		return;

	if(GiveBuildRights(%blid))
	{
		if(findClientByBL_ID(%blid) != 0)
			messageClient(findClientByBL_ID(%blid),'','\c0You have been given Building Rights by \c6%1',%client.name);
		messageClient(%client,'','\c0You have given BL_ID \c6%1\c0 Building Rights',%blid);
	}
}

function serverCmdRevokeBuildRights(%client,%blid)
{
	if(!%client.isAdmin || !%client.isSuperAdmin)
		return;

	if(RevokeBuildRights(%blid))
	{
		if(findClientByBL_ID(%blid) != 0)
			messageClient(findClientByBL_ID(%blid),'','\c0Your Building Rights have been revoked by \c6%1',%client.name);
		messageClient(%client,'','\c0You have revoked the Building Rights for BL_ID \c6%1',%blid);
	}
}

package BuildingRights
{
	function serverCmdPlantBrick(%client)
	{
		if(!BLIDHasBuildRights(%client.bl_id) && !%client.isAdmin && !%client.isSuperAdmin)
		{
			centerPrint(%client,"<color:FF0000>You need <color:FFFFFF>Building Rights<color:FF0000> to build on this Server",3,3);
			return;
		}
		parent::serverCmdPlantBrick(%client);
	}
};
activatePackage(BuildingRights);